describe Scholarship do

    let(:array) { [
                title: "A title",
                website: "A website",
                description: "A description"
                ] }

    subject(:scholarship) { described_class.create(array) }

    it 'inherits from Page' do
        expect(described_class).to be < Page
    end

    describe '.create' do

        it 'accepts an array as an argument' do
            expect(described_class).to receive(:new).with(an_instance_of(Array))
            described_class.new(array)
        end

        it 'returns an array' do
            expect(subject).to be_kind_of(Array)
        end
        
        it 'the returned array is an array of hashes' do
            expect(subject[0]).to be_kind_of(Hash)
        end

    end

end