require 'nokogiri'
require 'open-uri'

describe Scraper do

    describe '.scrape_scholarships' do

        subject(:scholarships) { described_class.scrape_scholarships }

        it 'returns an array' do
            expect(subject).to be_a(Array)
        end

        it 'the returned array is an array of hashes' do
            expect(subject.first).to be_a(Hash)
        end

        it 'has the correct keys' do
            expect(subject.first).to have_key(:title)
            expect(subject.first).to have_key(:website)
            expect(subject.first).to have_key(:description)
        end

    end

    describe '.scrape_events' do

        subject(:events) { described_class.scrape_events }

        it 'returns an array' do
            expect(subject).to be_a(Array)
        end

        it 'the returned array is an array of hashes' do
            expect(subject.first).to be_a(Hash)
        end

        it 'has the correct keys' do
            expect(subject.first).to have_key(:title)
            expect(subject.first).to have_key(:time)
            expect(subject.first).to have_key(:date)
            expect(subject.first).to have_key(:website)
            expect(subject.first).to have_key(:description)
        end

    end

end